Bug 1015503 - Cannot remove properties from security configuration
Cannot remove properties from security configuration
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER6
: ---
Assigned To: Brian Fitzpatrick
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 08:08 EDT by Andrej Podhradsky
Modified: 2015-08-02 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1754 Major Closed Cannot remove properties from security configuration 2014-06-16 19:53:49 EDT

  None (edit)
Description Andrej Podhradsky 2013-10-04 08:08:57 EDT
Description of problem:
Once we set a property (e.g. Roles Allowed, Run As) we cannot remove them.

Version-Release number of selected component (if applicable):
JBTIS 4.1.3.Beta3 (contains switchyard 1.1.0.v20130912-2244-H393-M2) 

How reproducible:
always

Steps to Reproduce:
1. In domain tab create new security configuration
2. Set Run As to 'user', press finish and save
3. Edit the configuration and remove tha field Run As
4. Press finish and save

Actual results:
The field Run As is still set to 'user'

Expected results:
The field Run As should be empty
Comment 1 JBoss JIRA Server 2013-10-07 14:01:30 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1754

Since SWITCHYARD-1753 and SWITCHYARD-1754 are related and in the same general code area, the PR for 1753 will include the fix for 1754 as well.
Comment 2 JBoss JIRA Server 2013-10-09 10:17:24 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1754

Same PR as for SWITCHYARD-1753 fixes this issue as well
Comment 3 Andrej Podhradsky 2013-12-16 03:14:37 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 4 JBoss JIRA Server 2014-06-16 19:53:50 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1754 to Closed

Note You need to log in before you can comment on or make changes to this bug.